//  Copyright (c) 2005-2006 Stephan Hirmer (shirmer@cct.lsu.edu)
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#if 0   // not needed anymore

#if !defined(SAGA_IMPL_ENGINE_WRAPPER_TASK_IPP_)
#define SAGA_IMPL_ENGINE_WRAPPER_TASK_IPP_

#include <impl/engine/wrapper_task.hpp>
#include <impl/engine/proxy.hpp>

///////////////////////////////////////////////////////////////////////////////
namespace saga { namespace impl {
    
    /**
      * asks this task to chose an appropriate bulk enabled adaptor
      * to execute this task and a group of additional ones.
      *
      * @remark: implemented in a extra file, because of header including
      * issues.
      */
    template<typename BaseCpi, typename FuncBase, typename FuncRetV, typename RetVal>
    inline v1_0::cpi* 
    wrapper_task<BaseCpi, FuncBase, FuncRetV, RetVal>::get_bulk_adaptor(
                                        std::string const           & cpi_name,
                                        std::string const           & op_name,
                                        v1_0::preference_type const & prefs)
    {
        proxy /*const*/* proxy_ = this->cpi_instance->get_proxy(); 
        saga::session s = proxy_->get_session();
        
        // FIXME: temporary hack! this list should get passed from the outside
        adaptor_selector::adaptor_info_list_type no_no_list;
        return (runtime::get_impl(s)->get_adaptor(cpi_name, op_name, 
            prefs, proxy_, no_no_list, (BaseCpi *)NULL)); 
    }    

///////////////////////////////////////////////////////////////////////////////
}} // end namespace saga::impl

// bring in the higher order functions as well
#include <impl/engine/wrapper_task_get_bulk_adaptor_impl.hpp>

#endif
#endif
