//  Copyright (c) 2005-2007 Hartmut Kaiser (hartmut.kaiser@gmail.com)
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#ifndef SAGA_IMPL_PACKAGES_COMM_RPC_CONFIG_HPP
#define SAGA_IMPL_PACKAGES_COMM_RPC_CONFIG_HPP

#include <boost/config.hpp>

#if defined (BOOST_WINDOWS)
# ifdef   SAGA_RPC_PACKAGE_EXPORTS
#  define SAGA_RPC_PACKAGE_EXPORT __declspec(dllexport) 
# else
#  define SAGA_RPC_PACKAGE_EXPORT __declspec(dllimport) 
# endif
#endif

///////////////////////////////////////////////////////////////////////////////
// make sure all works on other platforms as well
#if !defined(SAGA_RPC_PACKAGE_EXPORT)
# define SAGA_RPC_PACKAGE_EXPORT  /**/
#endif

#endif // SAGA_IMPL_PACKAGES_COMM_RPC_CONFIG_HPP


