
#include "shell.hpp"

// trivial: create a shell instance and run it!
int main (int argc, char* argv[])
{
  try 
  {
    shell sh;
    sh.run ();
  }

  // catch all exceptions.  SAGA exceptions are already 
  // handled within the shell run().
  catch ( std::exception const & e ) 
  {
    std::cerr << "exception caught: " << e.what () << std::endl;
  }

  return 0;
}

