#  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
# 
#  Distributed under the Boost Software License, Version 1.0. (See accompanying
#  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

# vim: ft=make

ifndef SAGA_MK_INC_UTIL
       SAGA_MK_INC_UTIL = yes

###########################################################
#
# several includes are only needed on targets which 
# actually build something...
#
ifeq "$(filter clean distclean confclean depclean configure makefiles, $(MAKECMDGOALS))" ""
  SAGA_INCLUDE_INCLUDES = yes
endif
#
###########################################################

ifdef SAGA_ROOT
  include $(SAGA_ROOT)/make/saga.config.mk
 -include $(SAGA_ROOT)/make/saga.config.check.c.mk
else
  include $(SAGA_LOCATION)/share/saga/make/saga.config.mk
 -include $(SAGA_LOCATION)/share/saga/make/saga.config.check.c.mk
endif

ifdef SAGA_ROOT
  include $(SAGA_ROOT)/make/saga.config.mk
 -include $(SAGA_ROOT)/make/saga.config.check.c.mk
else
  include $(SAGA_LOCATION)/share/saga/make/saga.config.mk
 -include $(SAGA_LOCATION)/share/saga/make/saga.config.check.c.mk
endif


###########################################################
#
# two helper functions, returning the upper and lower 
# case versions of their input....
#
saga_uc = $(shell echo $(1) | tr 'a-z' 'A-Z')
saga_lc = $(shell echo $(1) | tr 'A-Z' 'a-z')
#
###########################################################

endif # guard

