//  Copyright (c) 2005-2006 Hartmut Kaiser (hartmut.kaiser@gmail.com)
//  Copyright (c) 2007 Ole Weidner (oweidner@cct.lsu.edu)
// 
//  Use, modification and distribution is subject to the Boost Software
//  License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
//  http://www.boost.org/LICENSE_1_0.txt)

#ifndef SAGA_CONTEXT_BASE_HPP
#define SAGA_CONTEXT_BASE_HPP

///////////////////////////////////////////////////////////////////////////////
namespace saga 
{
  // context base is introduced so that the enum definition can be used in  both
  // the interface definition and in the implementation, w/o the need for the
  // implementation to know the context interface itself.
  /*! \brief Brief %description starts here     
   *
   *   Detailed %description starts here.
   */
  struct context_base
  {
     /*! \brief Brief %description starts here     
      *
      *   Detailed %description starts here.
      */
     enum type 
     {
       Unknown  = -1,
       Any      =  0,
       X509     =  1,
       MyProxy  =  2,
       SAML     =  3,
       Unicore  =  4,
       SSH      =  5,
       Kerberos =  6,
       UserPass =  7
     };
  }; 

} // namespace saga
///////////////////////////////////////////////////////////////////////////////

#endif // SAGA_CONTEXT_BASE_HPP

