//  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
// 
//  Use, modification and distribution is subject to the Boost Software
//  License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
//  http://www.boost.org/LICENSE_1_0.txt)

#ifndef SAGA_IMPL_PACKAGES_COMM_STREAM_CONFIG_HPP
#define SAGA_IMPL_PACKAGES_COMM_STREAM_CONFIG_HPP

#include <boost/config.hpp>

#if !defined (SAGA_CREATE_PREPROCESSED_FILES)

#if defined (BOOST_WINDOWS)
# ifdef   SAGA_STREAM_PACKAGE_EXPORTS
#  define SAGA_STREAM_PACKAGE_EXPORT __declspec(dllexport) 
# else
#  define SAGA_STREAM_PACKAGE_EXPORT __declspec(dllimport) 
# endif
#endif

///////////////////////////////////////////////////////////////////////////////
// make sure all works on other platforms as well
#if !defined(SAGA_STREAM_PACKAGE_EXPORT)
# define SAGA_STREAM_PACKAGE_EXPORT  /**/
#endif

#endif

#endif // SAGA_IMPL_PACKAGES_COMM_STREAM_CONFIG_HPP


