#include <string>
#include <saga.hpp>

// int main(int argc, char* argv[])
// {
//    saga::uuid uuid = saga::uuid();
// 
//    std::string advertKey("advert://fortytwo.cct.lsu.edu//");
//    advertKey += "3AAC5830-A178-478E-B4EF-49296D62434D"; // Ist in der AdvertDB!
// 
//    saga::advert_directory d1 =
//      saga::advert_directory(advertKey, saga::advert::ReadWrite);
// 
//    d1.make_dir(uuid.string()); // das geht nicht.
//    d1.make_dir(uuid.string(), saga::advert::Create); // das geht nicht.
// 
//    // das geht jetzt  ;-)
//    advertKey +=  uuid.string();
//    saga::advert_directory d2 = saga::advert_directory(advertKey, saga::advert::Create); 
// }

// int main(int argc, char* argv[])
// {
//    saga::advert a1 = saga::advert("advert://fortytwo.cct.lsu.edu//test", saga::advert::CreateParents);
//    // kommt nie wieder, auch wenn ich keine Flags angebe...
//    a1.set_attribute("test", "123");
// }

int main(int argc, char* argv[])
{
   std::string advertKey("advert://fortytwo.cct.lsu.edu//3AAC5830-A178-478E-B4EF-49296D62434D/");

   try {
     saga::advert commandAdvert(advertKey+"/COMMAND",
                                saga::advert::ReadWrite | saga::advert::Create);
     commandAdvert.store_string("test");
   }
   catch(std::exception const & e) {
     std::cout << "FAILED\nerror: " << e.what() << std::endl;
     throw;
   }
   return 0;
}
