//  Copyright (c) 2005-2007 Hartmut Kaiser
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#include <iostream>
#include <fstream>
#include <string>

///////////////////////////////////////////////////////////////////////////////
// this little helper application will try to read from the file named 
// 'job_staging_input' and writes this to the file named 'job_staging_output'
int main()
{
    std::ofstream out ("job_staging_output");
    std::ifstream in ("job_staging_input");
    if (!in.is_open()) {
        out << "Can't open file: job_staging_input" << std::endl;
    }
    else {
        std::string buffer;
        while (std::getline(in, buffer))
            out << buffer << std::endl;
    }
    return 0;
}
