
#include "shell.hpp"

void shell::c_resume (std::string args)
{
  // sanity checks
  if ( args.empty() )
  {
    carp ("format: status <pid>");
    return;
  }

  int pid = atoi (args.c_str ());

  // get job 
  saga::job::job job = jobs_.get_job(pid);

  // resume it
  job.resume ();
  
  return;
}

