
#include "shell.hpp"

// change the working directory
void shell::c_cd (std::string args)
{
  // have a nice default
  if ( args == "" )
  {
    cwd_.change_dir (home_);
    return;
  }

  // sanity checks
  if ( ! cwd_.exists  (args) )
  {
    carp ("No such directory: " + args);
    return;
  }

  if ( ! cwd_.is_dir  (args) )
  {
    carp ("Not a directory: " + args);
    return;
  }

  // do! :-)
  // FIXME

  return;
}

