#  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
# 
#  Distributed under the Boost Software License, Version 1.0. (See accompanying
#  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

ifndef SAGA_MK_INC_APPLICATION
       SAGA_MK_INC_APPLICATION = yes

ifdef SAGA_ROOT
 include $(SAGA_ROOT)/make/saga.util.mk
else
 include $(SAGA_LOCATION)/share/saga/make/saga.util.mk
endif

ifndef SAGA_ROOT
  include $(SAGA_LOCATION)/share/saga/make/saga.mk
else
  include $(SAGA_ROOT)/make/saga.mk
endif


ifdef SAGA_ROOT
  SAGA_TMP_MINCS += $(wildcard $(SAGA_ROOT)/make/saga.package.*.i.mk)
  SAGA_TMP_MINCS += $(wildcard $(SAGA_ROOT)/make/saga.engine.i.mk)
else
  SAGA_TMP_MINCS += $(wildcard $(SAGA_MAK_ROOT)/saga.package.*.mk)
  SAGA_TMP_MINCS += $(wildcard $(SAGA_MAK_ROOT)/saga.engine.mk)
endif

ifdef SAGA_TMP_MINCS
  include $(SAGA_TMP_MINCS)
endif

endif # guard

