#  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
# 
#  Distributed under the Boost Software License, Version 1.0. (See accompanying
#  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

ifndef SAGA_MK_INC_CONF_BOOST
       SAGA_MK_INC_CONF_BOOST = yes


###########################################################
# 
# Boost
#
SAGA_HAVE_BOOST            = yes

ifeq "$(SAGA_HAVE_BOOST)" "yes"
  SAGA_BOOST_INC_FLAGS     = -pthread -I/usr/include -DSAGA_BOOST_DYNA_LOAD
  SAGA_BOOST_LIB_FLAGS     = -L/usr/lib
  
  SAGA_BOOST_LIB_FLAGS    += -lboost_thread-mt
  SAGA_BOOST_LIB_FLAGS    += -lboost_filesystem
  SAGA_BOOST_LIB_FLAGS    += -lboost_regex
  SAGA_BOOST_LIB_FLAGS    += -lboost_serialization
  SAGA_BOOST_LIB_FLAGS    += -lboost_iostreams
  
  SAGA_CXXFLAGS           += $(SAGA_BOOST_INC_FLAGS)
  SAGA_CCFLAGS            += $(SAGA_BOOST_INC_FLAGS)
  SAGA_LDFLAGS_EXT        += $(SAGA_BOOST_LIB_FLAGS) 
endif
# 
###########################################################

endif # guard

