#  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
# 
#  Distributed under the Boost Software License, Version 1.0. (See accompanying
#  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

ifndef SAGA_MK_INC_CONF_POSTGRES
       SAGA_MK_INC_CONF_POSTGRES = yes

############################################################
# 
# POSTGRESQL
#
SAGA_HAVE_POSTGRESQL        = no

ifeq "$(SAGA_HAVE_POSTGRESQL)" "yes"
  SAGA_POSTGRESQL_LOCATION  = 
  SAGA_POSTGRESQL_INC_FLAGS = -I/opt/include
  SAGA_POSTGRESQL_LIB_FLAGS = -L/opt/lib/ -lpq

  SAGA_CXXFLAGS            += $(SAGA_POSTGRESQL_INC_FLAGS)
  SAGA_CCFLAGS             += $(SAGA_POSTGRESQL_INC_FLAGS)
  SAGA_LDFLAGS_EXT         += $(SAGA_POSTGRESQL_LIB_FLAGS)
endif
# 
###########################################################

endif # guard

