#  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
# 
#  Distributed under the Boost Software License, Version 1.0. (See accompanying
#  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

ifndef SAGA_MK_INC_CONF_SQLITE3
       SAGA_MK_INC_CONF_SQLITE3 = yes

############################################################
# 
# SQLITE3
#
SAGA_HAVE_SQLITE3        = yes

ifeq "$(SAGA_HAVE_SQLITE3)" "yes"
  SAGA_SQLITE3_LOCATION  = /usr
  SAGA_SQLITE3_INC_FLAGS = -I/usr/include/
  SAGA_SQLITE3_LIB_FLAGS = -L/usr/lib/ -lsqlite3

  SAGA_CXXFLAGS         += $(SAGA_SQLITE3_INC_FLAGS)
  SAGA_CCFLAGS          += $(SAGA_SQLITE3_INC_FLAGS)
  SAGA_LDFLAGS_EXT      += $(SAGA_SQLITE3_LIB_FLAGS)
endif
# 
###########################################################

endif # guard

