#  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
# 
#  Distributed under the Boost Software License, Version 1.0. (See accompanying
#  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

ifndef SAGA_MK_INC_CONF_XMLRPC
       SAGA_MK_INC_CONF_XMLRPC = yes

###########################################################
# 
# XML-RPC
#
SAGA_HAVE_XMLRPC        = no
SAGA_HAVE_OPENSSL       = yes

ifeq "$(SAGA_HAVE_XMLRPC)" "yes"
  SAGA_XMLRPC_LOCATION  = 
  SAGA_XMLRPC_INC_FLAGS = -I/opt/include/
  SAGA_XMLRPC_LIB_FLAGS = -L/opt/lib/ -lxmlrpc++

  SAGA_CXXFLAGS        += $(SAGA_XMLRPC_INC_FLAGS)
  SAGA_CCFLAGS         += $(SAGA_XMLRPC_INC_FLAGS)
  SAGA_LDFLAGS_EXT     += $(SAGA_XMLRPC_LIB_FLAGS)

  ifdef SAGA_INCLUDE_INCLUDES

    ifeq "$(SAGA_HAVE_OPENSSL)" "yes"
      include $(SAGA_ROOT)/make/saga.config.openssl.c.mk
    endif
    
  endif # SAGA_INCLUDE_INCLUDES

endif
# 
###########################################################

endif # guard

